IBM Tivoli Directory Server SASL Bind Request Buffer Overflow (uncredentialed check)

Critical Nessus Plugin ID 54943


The remote LDAP server is vulnerable to a buffer overflow attack.


Based on the response to a malformed LDAP bind request, it appears that the installed version of IBM Tivoli Directory Server running on the remote host is affected by a remote buffer overflow vulnerability.

A malicious LDAP request could cause a buffer overrun in the server, potentially allowing an unauthenticated remote attacker to execute arbitrary code within Tivoli Directory Server's server process. This vulnerability has only been recreated on 32 bit platforms. (IO14010, IO14013, IO14028, IO14046, IO14045).

Note that only IBM Tivoli Directory Server installs running on a 32-bit platform are known to be affected.


Install the appropriate fix based on the vendor's advisory :


See Also

Plugin Details

Severity: Critical

ID: 54943

File Name: tivoli_directory_srv_buffer_overflow.nbin

Version: $Revision: 1.30 $

Type: remote

Published: 2011/06/01

Modified: 2018/01/29

Dependencies: 12634, 13855, 25701

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:ibm:tivoli_directory_server

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/04/01

Vulnerability Publication Date: 2011/04/01

Exploitable With

Core Impact

Reference Information

CVE: CVE-2011-1206

BID: 47121

OSVDB: 72683